JazzWriterParserInternal::Paragraph Struct Reference

Internal: the structure used to store a paragraph/section. More...

## Public Member Functions

| Paragraph ()
| constructor

## Public Attributes

MWAWParagraph | m_paragraph
| the paragraph
MWAWVec2i | m_dimension
| the dimension
unsigned | m_nextParagraphId
| the next paragraph id
unsigned | m_plcId
| the plc id

## Detailed Description

Internal: the structure used to store a paragraph/section.

## Constructor & Destructor Documentation

## Paragraph()

JazzWriterParserInternal::Paragraph::Paragraph | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_dimension

MWAWVec2i JazzWriterParserInternal::Paragraph::m_dimension

the dimension

Referenced by Paragraph(), and JazzWriterParser::readParagraph().

## m_nextParagraphId

unsigned JazzWriterParserInternal::Paragraph::m_nextParagraphId

the next paragraph id

Referenced by Paragraph(), and JazzWriterParser::readParagraph().

## m_paragraph

MWAWParagraph JazzWriterParserInternal::Paragraph::m_paragraph

the paragraph

Referenced by Paragraph(), and JazzWriterParser::readParagraph().

## m_plcId

unsigned JazzWriterParserInternal::Paragraph::m_plcId

the plc id

Referenced by Paragraph(), and JazzWriterParser::readParagraph().

The documentation for this struct was generated from the following file:

- JazzWriterParser.cxx